begin;
CREATE OR REPLACE FUNCTION get_ip_exact_objids(ip_param text) RETURNS SETOF uuid AS $$ SELECT distinct a.owner_id  FROM ip_range_internal_search a WHERE (a.firstIp = ip_param::inet AND ip_param::inet = a.lastIp); $$ LANGUAGE 'sql' VOLATILE;
CREATE OR REPLACE FUNCTION get_ip_range_of_objid(objid uuid) RETURNS SETOF uuid AS $$ select distinct i.owner_id from ip_range_internal_search i, (SELECT  firstIp , lastIp  FROM ip_range_internal_search  WHERE owner_id=objid) as orig WHERE (i.firstIp <= orig.firstIp AND i.lastIp >= orig.lastIp) OR (i.firstIp >= orig.firstIp AND i.lastIp <= orig.lastIp) $$ LANGUAGE 'sql' VOLATILE;
commit;
